(* Instructions to build the full kernel *)

Begin[ "System`"]         

  Off[ General::intinit]

  Get["Integrate/table.m"];     (* indefinite integration  code *)

  Get["Integrate/main.m"];      (* definite integration code *)

  On[ General::intinit]

  If[ $Thin, , Share[]];

  Get["msg.m"];                 (* error messages *)

  Get["info.m"];                (* usage messages *)

  Get["Elliptic.m"];            (* elliptic functions *)

  Get["HypergeometricPFQ.m"];   (* generalized hypergeometric functions *)

  Get["Series.m"];              (* additional Series definitions *)

  Get["ClebschGordan.m"];       (* Clebsch-Gordan coefficients *)         

  Get["LinearProgramming.m"];   (* linear programming *)           

  Get["PrimePi.m"];             (* PrimePi *)           

  Get["GroebnerBasis.m"];       (* GroebnerBasis *)     

  Get["ComplexExpand.m"];       (* ComplexExpand *)

  Get["NSolve.m"];              (* NSolve *)       

  If[ $Thin, , Share[]];

  $DumpedPackages = Join[ $DumpedPackages,  
      {"msg.m", "info.m", "Integrate/table.m",
       "Integrate/main.m", "Elliptic.m", "HypergeometricPFQ.m",
       "Series.m", "ClebschGordan.m", "LinearProgramming.m",   
       "PrimePi.m", "GroebnerBasis.m", "NSolve.m", "ComplexExpand.m"}]


End[]
