
   Begin[ "System`"]		(* Everything in System context *)

   General::noopen = "Can't open `1`."
				(* set up the first possible message *)

   General::writewarn = "Defining rule for `1`."
	
				(* this message is here because *)
				(* we want to use Off[General::writewarn] *)

   Off[General::newsym]

   Get[ "Attributes.m"]		(* install SetAttributes and ClearAttributes *)
				(* MUST load this first *)

   Get[ "Expand.m"]		(* Expand extensions *)

   Get["Integrate.m"]		(* Integrate Mathematica code  *)

   Get[ "AutoLoad.m"]		(* Load autoloading package *)

$DumpedPackages = 
  {"Install.m", "Expand.m", "ValueQ.m",
   "Integrate.m", "SinIntegral.m", "InverseFunctions.m",
   "FormatInfinity.m", "Fourier.m", "RunThrough.m", "Edit.m",
   "Attributes.m", "GraphicsCoercion.m", "Digits.m", "Obsolete.m"}

$DumpedPackages::usage = "$DumpedPackages gives a list of the packages which
	have been dumped into the system."

$Thin::usage = "$Thin = True means that a thin Kernel has been started which
		use an autoloading mechanism to load system packages on demand."

(* Thin or Full Kernel specific instructions *)

   If[ $Thin, Get[ "Thin.m"], Get[ "Full.m"], Get[ "Thin.m"]; $Thin = True]

   Get[ "Install.m"]		(* external packages communication *)

   Get[ "ValueQ.m"] 		(* ValueQ function *)

   Get[ "SinIntegral.m"]	(* SinIntegral and CosIntegral *)

   Get[ "InverseFunctions.m"]	(* Inverse functions *)

   Get[ "FormatInfinity.m"]	(* formats for Infinity *)

   Get[ "Fourier.m"]		(* multidimensional Fourier Transforms *)

(*   

   If[ $OperatingSystem =!= "MacOS",
        Get[ "RunThrough.m"]];		(* RunThrough command *)

   If[ $OperatingSystem =!= "MacOS",
        Get[ "Edit.m"]]		(* Edit command *)

*)        

   Get[ "GraphicsCoercion.m"]	(* Extra graphics code *)

   Get[ "Digits.m"]		(* Digits.m (obsolete) *)

   Get[ "Obsolete.m"]		(* Support for obsolete functions *)

   Get["Simplify.m"]		(* Extra packages for simplification *)

(* NProtect functions, LAST to wrong prevent generation of symbols *)
(*
   Get[ "NProt.m"]
*)

   If[ $Thin, , Share[]]	(* Global Share for the full version *)

(* this symbol will be evaluated when Mathematica ends *)
   $Epilog := << end.m

(* restore previous context *)
   End[]

(* standard return value for the Get which got this file *)
   Null
